package com.fjhx.victoriatourist.entity.jd.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

@Getter
@Setter
public class JdRefundNotQualityCheckExcelVo {

    @ColumnWidth(20)
    @ExcelProperty("物品编码")
    private String productCustomCode;

    @ColumnWidth(15)
    @ExcelProperty("良品数量")
    private Integer qualifiedCount;

    @ColumnWidth(15)
    @ExcelProperty("次品数量")
    private Integer defectiveCount;

    @ColumnWidth(15)
    @ExcelProperty("报废数量")
    private Integer scrappedCount;

    @ColumnWidth(15)
    @ExcelProperty(value = "待质检数量")
    private BigDecimal quantity;

    @ColumnWidth(20)
    @ExcelProperty(value = "商品名称")
    private String productName;

    @ColumnWidth(20)
    @ExcelProperty(value = "规格")
    private String productSpec;

    @ColumnWidth(15)
    @ExcelProperty(value = "单位")
    private String productUnit;

}
